Subject: Re: [PATCH v2 2/3] net_sched: Add accessor function for packet length for qdiscs

From: Patrick McHardy <[email-masked]>
Date: Wed, 30 Jul 2008 13:21:22 +0200

Jarek Poplawski wrote:
> On Wed, Jul 30, 2008 at 12:47:31PM +0200, Patrick McHardy wrote:
>   
>> Jarek Poplawski wrote:
>>     
>>> On Sat, Jul 26, 2008 at 03:21:42PM +0200, Patrick McHardy wrote:
>>>       
> ...
>   
>>>> The other problem that affects all qdiscs supporting actions is
>>>> TC_ACT_QUEUED/TC_ACT_STOLEN getting mapped to NET_XMIT_SUCCESS
>>>> even though the packet is not queued, corrupting upper qdiscs'
>>>> qlen counters.
>>>>         
>>> Why can't we (temporarily) simply check such cl->un.leaf.q->q.qlen
>>> before and after enqueing?
>>>       
>> Thats really ugly, why not simply fix it correctly by
>> not lying to upper qdiscs?
>>     
>
> I thought it needs to wait for your audit. (Considering current
> state of NET_XMIT statuses it's simple and reliable.) Otherwise
> I'd prefer nice methods too.
>   
Well, the problems are already clear, someone just needs to fix them :)
I won't be able to do this until next week.